crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Stability | experimental
Portability | ???
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.TripleDES

Description

Synopsis

- data DES_EEE3
- data DES_EDE3
- data DES_EEE2
- data DES_EDE2

# Documentation

data DES_EEE3 #

3DES with 3 different keys used all in the same direction

#### Instances

Instances details

Cipher DES_EEE3 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES_EEE3 # cipherName :: DES_EEE3 -> String # cipherKeySize :: DES_EEE3 -> KeySizeSpecifier #
BlockCipher DES_EEE3 # |

Instance details

Defined in Crypto.Cipher.TripleDES

Methods

blockSize :: DES_EEE3 -> Int #

ecbEncrypt :: ByteArray ba => DES_EEE3 -> ba -> ba #

ecbDecrypt :: ByteArray ba => DES_EEE3 -> ba -> ba #

cbcEncrypt :: ByteArray ba => DES_EEE3 -> IV DES_EEE3 -> ba -> ba #

cbcDecrypt :: ByteArray ba => DES_EEE3 -> IV DES_EEE3 -> ba -> ba #

cfbEncrypt :: ByteArray ba => DES_EEE3 -> IV DES_EEE3 -> ba -> ba #

cfbDecrypt :: ByteArray ba => DES_EEE3 -> IV DES_EEE3 -> ba -> ba #

ctrCombine :: ByteArray ba => DES_EEE3 -> IV DES_EEE3 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES_EEE3 -> iv -> CryptoFailable (AEAD DES_EEE3) #

Eq DES_EEE3 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods (==) :: DES_EEE3 -> DES_EEE3 -> Bool # (/=) :: DES_EEE3 -> DES_EEE3 -> Bool #

data DES_EDE3 #

3DES with 3 different keys used in alternative direction

#### Instances

Instances details

Cipher DES_EDE3 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES_EDE3 # cipherName :: DES_EDE3 -> String # cipherKeySize :: DES_EDE3 -> KeySizeSpecifier #
BlockCipher DES_EDE3 # |

Instance details

Defined in Crypto.Cipher.TripleDES

Methods

blockSize :: DES_EDE3 -> Int #

ecbEncrypt :: ByteArray ba => DES_EDE3 -> ba -> ba #

ecbDecrypt :: ByteArray ba => DES_EDE3 -> ba -> ba #

cbcEncrypt :: ByteArray ba => DES_EDE3 -> IV DES_EDE3 -> ba -> ba #

cbcDecrypt :: ByteArray ba => DES_EDE3 -> IV DES_EDE3 -> ba -> ba #

cfbEncrypt :: ByteArray ba => DES_EDE3 -> IV DES_EDE3 -> ba -> ba #

cfbDecrypt :: ByteArray ba => DES_EDE3 -> IV DES_EDE3 -> ba -> ba #

ctrCombine :: ByteArray ba => DES_EDE3 -> IV DES_EDE3 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES_EDE3 -> iv -> CryptoFailable (AEAD DES_EDE3) #

Eq DES_EDE3 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods (==) :: DES_EDE3 -> DES_EDE3 -> Bool # (/=) :: DES_EDE3 -> DES_EDE3 -> Bool #

data DES_EEE2 #

3DES where the first and third keys are equal, used in the same direction

#### Instances

Instances details

Cipher DES_EEE2 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES_EEE2 # cipherName :: DES_EEE2 -> String # cipherKeySize :: DES_EEE2 -> KeySizeSpecifier #
BlockCipher DES_EEE2 # |

Instance details

Defined in Crypto.Cipher.TripleDES

Methods

blockSize :: DES_EEE2 -> Int #

ecbEncrypt :: ByteArray ba => DES_EEE2 -> ba -> ba #

ecbDecrypt :: ByteArray ba => DES_EEE2 -> ba -> ba #

cbcEncrypt :: ByteArray ba => DES_EEE2 -> IV DES_EEE2 -> ba -> ba #

cbcDecrypt :: ByteArray ba => DES_EEE2 -> IV DES_EEE2 -> ba -> ba #

cfbEncrypt :: ByteArray ba => DES_EEE2 -> IV DES_EEE2 -> ba -> ba #

cfbDecrypt :: ByteArray ba => DES_EEE2 -> IV DES_EEE2 -> ba -> ba #

ctrCombine :: ByteArray ba => DES_EEE2 -> IV DES_EEE2 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES_EEE2 -> iv -> CryptoFailable (AEAD DES_EEE2) #

Eq DES_EEE2 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods (==) :: DES_EEE2 -> DES_EEE2 -> Bool # (/=) :: DES_EEE2 -> DES_EEE2 -> Bool #

data DES_EDE2 #

3DES where the first and third keys are equal, used in alternative direction

#### Instances

Instances details

Cipher DES_EDE2 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES_EDE2 # cipherName :: DES_EDE2 -> String # cipherKeySize :: DES_EDE2 -> KeySizeSpecifier #
BlockCipher DES_EDE2 # |

Instance details

Defined in Crypto.Cipher.TripleDES

Methods

blockSize :: DES_EDE2 -> Int #

ecbEncrypt :: ByteArray ba => DES_EDE2 -> ba -> ba #

ecbDecrypt :: ByteArray ba => DES_EDE2 -> ba -> ba #

cbcEncrypt :: ByteArray ba => DES_EDE2 -> IV DES_EDE2 -> ba -> ba #

cbcDecrypt :: ByteArray ba => DES_EDE2 -> IV DES_EDE2 -> ba -> ba #

cfbEncrypt :: ByteArray ba => DES_EDE2 -> IV DES_EDE2 -> ba -> ba #

cfbDecrypt :: ByteArray ba => DES_EDE2 -> IV DES_EDE2 -> ba -> ba #

ctrCombine :: ByteArray ba => DES_EDE2 -> IV DES_EDE2 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES_EDE2 -> iv -> CryptoFailable (AEAD DES_EDE2) #

Eq DES_EDE2 # |
Instance details Defined in Crypto.Cipher.TripleDES Methods (==) :: DES_EDE2 -> DES_EDE2 -> Bool # (/=) :: DES_EDE2 -> DES_EDE2 -> Bool #